

#ifndef __LIBADWIN_TYPES_H__
#define __LIBADWIN_TYPES_H__

#include <sys/types.h>


/*
 * The following structures where originally defined in "UDPADwin.h"
 */
typedef struct {
    uint32_t cmd;
    uint32_t package_index;
    uint8_t password[12];
    uint32_t value[4];
    uint32_t link;
    uint32_t timeout;
    uint32_t dummy1;        /* unused */
    uint32_t dummy2;        /* unused */
    //  uint32_t DLLVersion;    /* since V2.52   12.1.2004 */
    //  uint32_t sizeDummy;     /* since V2.52   12.1.2004 */
} adwin_request_t;

#ifdef ADWIN_WINCOMPAT
    typedef adwin_request_t UDPH1;
#endif


typedef struct {
    uint32_t status;
    uint32_t package_index;
    uint32_t value[4];
    uint32_t dummy1;        /* unused */
    uint32_t dummy2;        /* unused */
    //  uint32_t sizeDummy;     /* since V2.52   12.1.2004 */
}  adwin_reply_t;

#ifdef ADWIN_WINCOMPAT
    typedef adwin_reply_t   UDPR1;
#endif


/* ??? */
typedef struct {
    uint32_t package_index;
    uint32_t packet_no;
    uint32_t value[350];
} adwin_reply350_t;

typedef struct {
    uint32_t status;
    uint32_t package_index;
    uint32_t value[250];
}   UDPR2;
#ifdef ADWIN_WINCOMPAT
    typedef adwin_reply350_t    UDPR3;
#endif

typedef struct {
    uint32_t befehl;
    uint32_t StructVersion;
    uint32_t Mac1, Mac2;
    uint32_t IP1, IP2;
    uint32_t SubNet1, SubNet2;
    uint32_t Gateway1, Gateway2;
    uint32_t useDhcp;
    uint32_t ADwinPort;
    uint8_t Passwort[12];
    //  uint8_t Bootloader;     // V2.51
    //  uint8_t cdummy[3];      // V2.51
    //  uint32_t Bezeichnung[4];// V2.52
    //  uint32_t Dummy[5];      // V2.52
} adwin_conf_t;
#ifdef ADWIN_WINCOMPAT
    typedef adwin_conf_t UDPIn;
#endif

typedef struct {
    uint32_t Pattern;
    uint32_t StructVersion;
    uint32_t Status;
    uint32_t Version_Server;
    uint32_t Version_XILINX;
    uint8_t mac[8];
    uint32_t Dummy[6];
} adwin_status_t;
#ifdef ADWIN_WINCOMPAT
    typedef adwin_status_t UDPstatus;
#endif


#endif
