#!/usr/bin/python
# -*- coding: utf-8 -*-
# bas_dmo1.py

import sys
from PyQt5 import QtCore, QtWidgets
import ADwin
from Ui_dialog import Ui_Form

DEVICENUMBER = 0x1

BTL = "ADwin9.btl"
PROCESS = "Bas_dmo1.t91"


class Dialog(QtWidgets.QDialog):
    def __init__(self, parent=None):
        QtWidgets.QDialog.__init__(self, parent)
        self.ui = Ui_Form()
        self.ui.setupUi(self)

        self.t1 = QtCore.QTimer()
        self.t1.setInterval(200)

        self.ui.btnQuit.clicked.connect(self.quit)
        self.ui.btnStart.clicked.connect(self.start)
        self.ui.btnStop.clicked.connect(self.stop)
        self.t1.timeout.connect(self.timer)

        self.adw = ADwin.ADwin(DEVICENUMBER, 1)
        btl = self.adw.ADwindir + BTL
        if sys.platform == 'win32':
            process = self.adw.ADwindir + "ADbasic\\samples_ADwin\\" + PROCESS
        else:
            process = self.adw.ADwindir + "share/examples/samples_ADwin/" + PROCESS
        self.adw.Boot(btl)
        self.adw.Load_Process(process)

    def quit(self):
        self.close()

    def start(self):
        self.adw.Start_Process(1)
        self.t1.start()

    def stop(self):
        self.adw.Stop_Process(1)
        self.t1.stop()

    def timer(self):
        par = self.adw.Get_Par_All()
        if par[9] == 1:
            self.ui.leMin.setText(str(par[0]))
            self.ui.leMax.setText(str(par[1]))


APP = QtWidgets.QApplication(sys.argv)
dialog = Dialog()
sys.exit(dialog.exec_())
